Run Workflow in Repository (By Repo ID)
Deprecated
Endpoint is deprecated, please use POST /repos/id:{repo_id}/cicd/runs instead
Request
POST
https://api.sourcecraft.tech/repos/id:{repo_id}/ci_workflows/{workflow_name}/trigger
Path parameters
|
Name |
Description |
|
repo_id |
Type: string Example: `` |
|
workflow_name |
Type: string Example: `` |
Body
application/json
{
"revision": "example",
"workflow_revision": "example",
"input": {
"values": [
{
"name": "example",
"value": "example"
}
]
}
}
|
Name |
Description |
|
input |
Type: WorkflowInput Example
|
|
revision |
Type: string Example: |
|
workflow_revision |
Type: string Example: |
InputValue
|
Name |
Description |
|
name |
Type: string Example: |
|
value |
Type: string Example: |
Example
{
"name": "example",
"value": "example"
}
WorkflowInput
|
Name |
Description |
|
values |
Type: InputValue[] Example
|
Example
{
"values": [
{
"name": "example",
"value": "example"
}
]
}
Responses
200 OK
A successful response.
Body
application/json
{
"flux_id": "example",
"flux_public_id": "example",
"trigger_status": "already_exists"
}
|
Name |
Description |
|
flux_id |
Type: string Example: |
|
flux_public_id |
Type: string Example: |
|
trigger_status |
Type: TriggerStatus Enum: |
TriggerStatus
Type: string
Enum: already_exists, created, nothing_to_start
default
Both Client Errors (4xx) and Server Errors (5xx) are serialized into this scheme
Body
application/json
{
"error_code": "example",
"message": "example",
"request_id": "example",
"details": {}
}
|
Name |
Description |
||
|
details |
Type: Optional details. Exact structure depends on error_code
Example
|
||
|
error_code |
Type: string Example: |
||
|
message |
Type: string Example: |
||
|
request_id |
Type: string Example: |
No longer supported, please use an alternative and newer version.